#include <cstdlib>

// Klassifizierungsklasse einbinden
import Histogram;

// Obere Grenze des zu klassifizierenden Wertebereichs
const unsigned short OGRENZE = 99;
// Anzahl der Daten
constexpr unsigned short NUMWERTE = 10000;


// Histogrammobjekt definieren
Histogramm myHist;

int main()
{
   // Histogrammobjekt initialisieren
   myHist.Init(OGRENZE);
   // Zufallswerte in Histogramm übertragen
   for (auto i=0; i<NUMWERTE; i++)
   {
      int val = rand() % (OGRENZE+1);
      myHist.AddValue(static_cast<unsigned short>(val));
   }
   // Histogramm ausgeben
   myHist.PrintHistogramm();
}
